## loudgain 0.6.8+ds

=== CMakeLists.txt ===
# loudgain CMakeLists.txt
# Copyright (C) 2014 Alessandro Ghedini <alessandro@ghedini.me>
# Modifications Copyright (C) 2019 Matthias C. Hormann <mhormann@gmx.de>
# This file is released under the 2 clause BSD license, see COPYING

CMAKE_MINIMUM_REQUIRED(VERSION 2.8)
PROJECT(loudgain C CXX)

SET(CMAKE_MODULE_PATH "${CMAKE_SOURCE_DIR}/cmake/" ${CMAKE_MODULE_PATH})

SET(VERSION_MAJOR 0)
SET(VERSION_MINOR 6)
SET(VERSION_PATCH 8)

SET(loudgain_VERSION ${VERSION_MAJOR}.${VERSION_MINOR}.${VERSION_PATCH})

SET(INSTALL_PREFIX ${CMAKE_INSTALL_PREFIX})

INCLUDE(FindPkgConfig)

IF (APPLE)
  # Fix linking on 10.14+. See https://stackoverflow.com/questions/54068035
  LINK_DIRECTORIES(/usr/local/lib)
ENDIF (APPLE)


PKG_CHECK_MODULES(LAVC libavcodec REQUIRED)
PKG_CHECK_MODULES(LAVF libavformat REQUIRED)
PKG_CHECK_MODULES(LAVR libswresample REQUIRED)
PKG_CHECK_MODULES(LAVU libavutil REQUIRED)
PKG_CHECK_MODULES(LTAG taglib REQUIRED)

FIND_PACKAGE(EBUR128)

IF (NOT EBUR128_FOUND)
  MESSAGE(FATAL_ERROR "libebur128 not found.")
ENDIF (NOT EBUR128_FOUND)

FILE(GLOB SOURCES RELATIVE ${CMAKE_SOURCE_DIR} "src/*.cc" "src/*.c")

ADD_EXECUTABLE(loudgain ${SOURCES})

INCLUDE_DIRECTORIES(
  ${CMAKE_CURRENT_SOURCE_DIR}/src
  ${EBUR128_INCLUDE_DIR}
  ${LAVC_INCLUDE_DIRS}
  ${LAVF_INCLUDE_DIRS}
  ${LAVR_INCLUDE_DIRS}
  ${LAVU_INCLUDE_DIRS}
  ${LTAG_INCLUDE_DIRS}
  ${CMAKE_CURRENT_BINARY_DIR}
)

# Mac OS X has no pty.h
INCLUDE (CheckIncludeFiles)
CHECK_INCLUDE_FILES (pty.h HAVE_PTY_H)

CONFIGURE_FILE("config.h.in" "config.h")

SET(LIBS )

TARGET_LINK_LIBRARIES(loudgain
  ${EBUR128_LIBRARY}
  ${LAVC_LIBRARIES}
  ${LAVF_LIBRARIES}
  ${LAVR_LIBRARIES}
  ${LAVU_LIBRARIES}
  ${LTAG_LIBRARIES}
)

SET_TARGET_PROPERTIES(loudgain PROPERTIES
  COMPILE_FLAGS "-Wall -pedantic -g"
)

SET(CMAKE_C_FLAGS "-std=gnu99 -D_GNU_SOURCE")

SET(CMAKE_CXX_FLAGS "-std=gnu++11 -D_GNU_SOURCE")

INSTALL(TARGETS loudgain DESTINATION ${CMAKE_INSTALL_PREFIX}/bin)

INSTALL(FILES
  ${PROJECT_SOURCE_DIR}/docs/loudgain.1
  DESTINATION ${CMAKE_INSTALL_PREFIX}/share/man/man1
)
INSTALL(PROGRAMS
  ${PROJECT_SOURCE_DIR}/bin/rgbpm
  DESTINATION ${CMAKE_INSTALL_PREFIX}/bin
)

# provide 'uninstall' target
if(NOT TARGET uninstall)
    configure_file(
        "${CMAKE_CURRENT_SOURCE_DIR}/cmake_uninstall.cmake.in"
        "${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake"
        IMMEDIATE @ONLY)

    add_custom_target(uninstall
        COMMAND ${CMAKE_COMMAND} -P ${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake)
endif()

## loudgain 0.6.8%2Bds

=== debian/control ===
Source: loudgain
Section: sound
Priority: optional
Maintainer: Hugh McMaster <hmc@debian.org>
Build-Depends:
 debhelper-compat (= 13),
 cmake,
 libavcodec-dev,
 libavformat-dev,
 libavutil-dev,
 libebur128-dev,
 libswresample-dev,
 libtag-dev,
 pkgconf,
 zlib1g-dev | libz-dev
Standards-Version: 4.7.2
Rules-Requires-Root: no
Homepage: https://github.com/Moonbase59/loudgain
Vcs-Git: https://salsa.debian.org/hmc/loudgain.git
Vcs-Browser: https://salsa.debian.org/hmc/loudgain

Package: loudgain
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: ReplayGain 2.0 loudness normalizer based on the EBU R128 standard
 loudgain is a loudness normalizer that scans music files and calculates
 loudness-normalized gain and loudness peak values according to the
 EBU R128/ITU BS.1770 standard (-18 LUFS).
 .
 loudgain will embed ReplayGain 2.0-compatible metadata tags in a file if
 requested but will not modify the audio data in any way.
 .
 loudgain supports the FLAC, Ogg, MP2, MP3, MP4, M4A, ALAC, Opus, ASF, WMA, WAV,
 WavPack, AIFF and APE audio formats. Video files with compatible audio streams
 are also supported.

## loudgain 0.6.8+ds

=== debian/changelog ===
loudgain (0.6.8+ds-3) unstable; urgency=medium

  * debian/control: Update Vcs-* repository URLs.
  * debian/copyright: Extend copyright to 2022.
  * debian/patches:
    - av_register_all.patch: Only call av_register_all() when linking against
      legacy versions of libavformat (Closes: #1004820).
    - cflags.patch: Don't override the build system's CFLAGS and CXXFLAGs.
    - manpage-apostrophe.patch: Remove duplicate header fields.
  * Remove debian/lintian-overrides (no longer needed).

 -- Hugh McMaster <hugh.mcmaster@outlook.com>  Sun, 13 Feb 2022 22:00:03 +1100

loudgain (0.6.8+ds-2) unstable; urgency=medium

  [ Debian Janitor ]
  * Remove version constraints on build-dependencies unnecessary since Buster.

  [ Hugh McMaster ]
  * debian/gbp.conf: Use DEP-14 branch naming.
  * debian/control:
    - Build-Depend on zlib1g-dev | libz-dev (Closes: #997233).
    - Raise Standards-Version to 4.6.0 from 4.5.0 (no changes needed).
  * debian/source/lintian-overrides: Silence a line-length warning in the
    upstream README.md file.

 -- Hugh McMaster <hugh.mcmaster@outlook.com>  Sat, 30 Oct 2021 20:11:44 +1100

loudgain (0.6.8+ds-1) unstable; urgency=medium

  * Initial release (Closes: #959795).
  * Add patch to print apostrophes instead of acute accents in loudgain.1.
  * Override two lintian warnings in the source and binary packages.

 -- Hugh McMaster <hugh.mcmaster@outlook.com>  Tue, 04 Aug 2020 22:46:02 +1000

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: loudgain
 Section: sound
 Priority: optional
-Maintainer: Hugh McMaster <hmc@debian.org>
+Maintainer: Hugh McMaster <hugh.mcmaster@outlook.com>
 Build-Depends:
  debhelper-compat (= 13),
  cmake,
@@ -10,10 +10,10 @@
  libavutil-dev,
  libebur128-dev,
  libswresample-dev,
- libtag-dev,
- pkgconf,
+ libtag1-dev,
+ pkg-config,
  zlib1g-dev | libz-dev
-Standards-Version: 4.7.2
+Standards-Version: 4.6.0
 Rules-Requires-Root: no
 Homepage: https://github.com/Moonbase59/loudgain
 Vcs-Git: https://salsa.debian.org/hmc/loudgain.git

=== debian/watch ===
version=4
opts="repacksuffix=+ds, \
      repack, compression=xz, \
      dversionmangle=s/@DEB_EXT@//, \
      filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/loudgain-$1\.tar\.gz/" \
  https://github.com/Moonbase59/loudgain/tags .*/v?(\d\S+)\.tar\.gz
